Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.jui
Class JUSVFocusAdapter

`java.lang.Object
java.awt.event.FocusAdapter
oracle.jbo.uicli.jui.JUSVFocusAdapter`

All Implemented Interfaces:
  java.util.EventListener, java.awt.event.FocusListener

Direct Known Subclasses:
  JUSVUpdateableFocusAdapter

public class JUSVFocusAdapter
extends java.awt.event.FocusAdapter

All JClient bindings create an instance of this adapter to notify the panel which control and hence which binding is currently in focus.

Field Summary
`protected int` | `mAttrIndex`
`protected JUControlBinding` | `mControlBinding`
`protected JUIteratorBinding` | `mIterBinding`
`static int` | `MULTI_ATTRIBUTE`
`protected JUPanelBinding` | `panelBinding`

Constructor Summary
`JUSVFocusAdapter(JUControlBinding controlBinding)` Creates a focus adapter for the control associated with the given control binding.
`JUSVFocusAdapter(JUControlBinding controlBinding, int attrIndex)` Creates a focus adapter for the control associated with the given control binding and registers interest in the attribute at the given index in the control binding.

Method Summary
`void` | `focusGained(java.awt.event.FocusEvent e)` Notifies the containing panelBinding of the gain in focus by this adapter's control binding.
`void` | `focusLost(java.awt.event.FocusEvent e)` A no-op

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MULTI_ATTRIBUTE

    public static final int MULTI_ATTRIBUTE

  See Also:
    Constant Field Values

### mControlBinding

    protected JUControlBinding mControlBinding

### mIterBinding

    protected JUIteratorBinding mIterBinding

### mAttrIndex

    protected int mAttrIndex

### panelBinding

    protected JUPanelBinding panelBinding

Constructor Detail

### JUSVFocusAdapter

    public JUSVFocusAdapter(JUControlBinding controlBinding)

  Creates a focus adapter for the control associated with the given control binding.

### JUSVFocusAdapter

    public JUSVFocusAdapter(JUControlBinding controlBinding,
                            int attrIndex)

  Creates a focus adapter for the control associated with the given control binding and registers interest in the attribute at the given index in the control binding.

Method Detail

### focusGained

    public void focusGained(java.awt.event.FocusEvent e)

  Notifies the containing panelBinding of the gain in focus by this adapter's control binding.

### focusLost

    public void focusLost(java.awt.event.FocusEvent e)

  A no-op

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.